Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssMdDataSet

All Superinterfaces:
  IEssBaseObject

public interface IEssMdDataSet
extends IEssBaseObject

The IEssMdDataSet interface. It represents the multi-dimensional result of an MDX query operation performed on IEssCubeView interface.

Method Summary
`IEssMdAxis[]` | `getAllAxes()` Get all the axes in the data set.
`int` | `getCellCount()` Get the count of cells in the data set.
`double` | `getCellValue(int cellOrdinal)` Gets the value of a cell at given ordinal.
`boolean` | `isCalcedMemberCell(int cellOrdinal)` Checks if the cell at a given ordinal is a CalcedMember cell.
`boolean` | `isDynamicCalcCell(int cellOrdinal)` Checks if the cell at a given ordinal is a Dynamic Calc cell.
`boolean` | `isLinkedCell(int cellOrdinal)` Checks if the cell at a given ordinal has linked objects.
`boolean` | `isMissingCell(int cellOrdinal)` Checks if the cell at a given ordinal is a missing value cell.
`boolean` | `isNoAccessCell(int cellOrdinal)` Checks if the cell at a given ordinal is a NoAccess cell.
`boolean` | `isReadOnlyCell(int cellOrdinal)` Checks if the cell at a given ordinal is a ReadOnly cell.

Method Detail

### getAllAxes

    public IEssMdAxis[] getAllAxes()
                            throws EssException

  Get all the axes in the data set.

  Returns:
    An array of all the axes including slicer axis.
  Throws:
    `EssException` - if an error occurs.

### getCellCount

    public int getCellCount()
                     throws EssException

  Get the count of cells in the data set. This method will return 0 if you set the dataless option in IEssOpMdxQuery as true before performing the MDX query operation.

  Returns:
    Total number of cells in the data set.
  Throws:
    `EssException` - if an error occurs.

### getCellValue

    public double getCellValue(int cellOrdinal)
                        throws EssException

  Gets the value of a cell at given ordinal. This method will throw an exception if you set the dataless option in IEssOpMdxQuery as true before performing the MDX query operation.

  Parameters:
    `cellOrdinal` - Ordinal of the cell to get the value of.
  Returns:
    The value of a cell at given cell ordinal.
  Throws:
    `EssException` - if an error occurs.

### isMissingCell

    public boolean isMissingCell(int cellOrdinal)
                          throws EssException

  Checks if the cell at a given ordinal is a missing value cell. This method will throw an exception if you set the dataless option in IEssOpMdxQuery as true before performing the MDX query operation.

  Parameters:
    `cellOrdinal` - Ordinal of the cell to check for missing value.
  Returns:
    True if the cell is missing, false otherwise.
  Throws:
    `EssException` - if an error occurs.

### isNoAccessCell

    public boolean isNoAccessCell(int cellOrdinal)
                           throws EssException

  Checks if the cell at a given ordinal is a NoAccess cell. This method will throw an exception if you set the dataless option in IEssOpMdxQuery as true before performing the MDX query operation.

  Parameters:
    `cellOrdinal` - Ordinal of the cell to check for NoAccess.
  Returns:
    True if the cell is NoAccess, false otherwise.
  Throws:
    `EssException` - if an error occurs.

### isDynamicCalcCell

    public boolean isDynamicCalcCell(int cellOrdinal)
                              throws EssException

  Checks if the cell at a given ordinal is a Dynamic Calc cell. This method will throw an exception if either dataless option is true or needCellAttributes option is false in IEssOpMdxQuery before performing the MDX query operation.

  Parameters:
    `cellOrdinal` - Ordinal of the cell to check for DynCalc.
  Returns:
    True if the cell is Dynamic Calc, false otherwise.
  Throws:
    `EssException` - if an error occurs.

### isReadOnlyCell

    public boolean isReadOnlyCell(int cellOrdinal)
                           throws EssException

  Checks if the cell at a given ordinal is a ReadOnly cell. This method will throw an exception if either dataless option is true or needCellAttributes option is false in IEssOpMdxQuery before performing the MDX query operation.

  Parameters:
    `cellOrdinal` - Ordinal of the cell to check for ReadOnly.
  Returns:
    True if the cell is ReadOnly, false otherwise.
  Throws:
    `EssException` - if an error occurs.

### isCalcedMemberCell

    public boolean isCalcedMemberCell(int cellOrdinal)
                               throws EssException

  Checks if the cell at a given ordinal is a CalcedMember cell. This method will throw an exception if either dataless option is true or needCellAttributes option is false in IEssOpMdxQuery before performing the MDX query operation.

  Parameters:
    `cellOrdinal` - Ordinal of the cell to check for CalcedMember.
  Returns:
    True if the cell is CalcedMember, false otherwise.
  Throws:
    `EssException` - if an error occurs.

### isLinkedCell

    public boolean isLinkedCell(int cellOrdinal)
                         throws EssException

  Checks if the cell at a given ordinal has linked objects. This method will throw an exception if either dataless option is true or needCellAttributes option is false in IEssOpMdxQuery before performing the MDX query operation.

  Parameters:
    `cellOrdinal` - Ordinal of the cell to check for linked objects.
  Returns:
    True if the cell has linked objects, false otherwise.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD